Bug 598376 - Review Request: maven-one-plugin - Maven One Plugin
Review Request: maven-one-plugin - Maven One Plugin
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 05:08 EDT by Yong Yang
Modified: 2010-06-08 22:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 22:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yong Yang 2010-06-01 05:08:16 EDT
Spec URL: http://yyang.fedorapeople.org/maven2/maven-one-plugin.spec
SRPM URL: http://yyang.fedorapeople.org/maven2/maven-one-plugin-1.2-1.src.rpm
Description: This plugin provides some integration tasks with Maven 1.x:
* Helps you to switch your project from Maven 1 to Maven 2 by converting your project.xml to a pom.xml
* Provides a packaging mechanism for Maven 1.x plugins, building them using Maven 2.0
* Provides a hook for installation that will copy built artifacts into a local or remote Maven 1.x repository, for concurrent development with Maven 1.x projects
Comment 1 Stanislav Ochotnicky 2010-06-01 09:11:20 EDT
I can do the review
Comment 2 Stanislav Ochotnicky 2010-06-01 09:55:22 EDT
NEEDSWORK: rpmlint must be run on every package. The output should be posted in the review.

maven-one-plugin.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
maven-one-plugin.src: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
maven-one-plugin.src: E: description-line-too-long C * Helps you to switch your project from Maven 1 to Maven 2 by converting your project.xml to a pom.xml
maven-one-plugin.src: E: description-line-too-long C * Provides a packaging mechanism for Maven 1.x plugins, building them using Maven 2.0
maven-one-plugin.src: E: description-line-too-long C * Provides a hook for installation that will copy built artifacts into a local or remote Maven 1.x repository, for concurrent development with Maven 1.x projects
maven-one-plugin.src: W: strange-permission maven-one-plugin-jpp-depmap.xml 0764L
maven-one-plugin.src: W: invalid-url Source0: maven-one-plugin-1.2.tar.gz
maven-one-plugin.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
maven-one-plugin.noarch: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
maven-one-plugin.noarch: E: description-line-too-long C * Helps you to switch your project from Maven 1 to Maven 2 by converting your project.xml to a pom.xml
maven-one-plugin.noarch: E: description-line-too-long C * Provides a packaging mechanism for Maven 1.x plugins, building them using Maven 2.0
maven-one-plugin.noarch: E: description-line-too-long C * Provides a hook for installation that will copy built artifacts into a local or remote Maven 1.x repository, for concurrent development with Maven 1.x projects
maven-one-plugin.noarch: W: no-documentation
maven-one-plugin.noarch: W: non-conffile-in-etc /etc/maven/fragments/maven-one-plugin
3 packages and 0 specfiles checked; 6 errors, 8 warnings.

There are two main errors:
 * You need to make sure lines are not overly long (I believe they
 have to be under 80 characters. Your editor should automatically
 insert newline when editing the spec file)
 * Permissions of depmap are weird (just chmod it to 644)


OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 

But :-) It's possible to condense 2 calls of install from:
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

to (this will create dest dir automatically):
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

It's just a suggestion though...

OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8. 

Other:
* You need to obsolete version 0:2.0.8 and provide 1:%{version}-%{release}
  your obsoletes would not obsolete current version of one plugin.
* It would be good to put comment why test failure is ignored.
  Actually  in this case maven-one-plugin has no tests so that line
  serves no purpose. It's just causing confusion, so please remove
  it.
* While you are at it, use xz compression for our own tarballs. It's
  smaller and fully supported. You can create them with:
  tar acf maven-one-plugin-1.2.tar.gz maven-one-plugin-1.2/
* Improve summary text. It'd better if it said something like:
 "Plugin to support integration with Maven 1.x"
 "Maven One Plugin" will not tell me much when I do "yum search"...
Comment 3 Yong Yang 2010-06-01 22:18:55 EDT
Hi Stanislav, SPEC and SRPM are updated, please review again.

fix log:

* You need to make sure lines are not overly long (I believe they
 have to be under 80 characters. Your editor should automatically
 insert newline when editing the spec file)

FIXED

* Permissions of depmap are weird (just chmod it to 644)

FIXED

* You need to obsolete version 0:2.0.8 and provide 1:%{version}-%{release}
  your obsoletes would not obsolete current version of one plugin.

FIXED

* It would be good to put comment why test failure is ignored.
  Actually  in this case maven-one-plugin has no tests so that line
  serves no purpose. It's just causing confusion, so please remove
  it.

FIXED

* While you are at it, use xz compression for our own tarballs. It's
  smaller and fully supported. You can create them with:
  tar acf maven-one-plugin-1.2.tar.gz maven-one-plugin-1.2/

DECLINED, there is still no tar 2.x in RHEL.

* Improve summary text. It'd better if it said something like:
 "Plugin to support integration with Maven 1.x"
 "Maven One Plugin" will not tell me much when I do "yum search"... 

FIXED
Comment 4 Stanislav Ochotnicky 2010-06-02 04:31:02 EDT
First thing: The spec you linked to and spec inside SRPM don't match.
Second: Whenever you make change to a spec file (even during review) you are supposed to raise revision number and add changes to changelog.

Because of different spec file I won't continue review now, so if you can, please raise revision to 2, and add those changes to changelog.

As for xz compression...It will take some time for these changes to appear in RHEL anyway, but OK..at least use bz2 compression.
Comment 5 Yong Yang 2010-06-03 03:08:10 EDT
Added changelog, and used bz2, please review.

Spec URL: http://yyang.fedorapeople.org/maven2/maven-one-plugin.spec
SRPM URL: http://yyang.fedorapeople.org/maven2/maven-one-plugin-1.2-2.src.rpm
Comment 6 Stanislav Ochotnicky 2010-06-03 07:58:52 EDT
I re-checked. Package seems good. Make only two corrections before you commit to CVS:
 * fix comment about creating tarball. It still has instructions for tar.bz.
 * remove epoch from changelog. Your package is providing old name (maven2-plugin-one) with epoch 1 but itself it has no epoch. Sorry I didn't notice before..


These issues are not serious and can be fixed easily...

This package is APPROVED.
Comment 7 Stanislav Ochotnicky 2010-06-03 08:04:04 EDT
Oh, and also there is a small typo in the changelog (privodes)
Comment 8 Yong Yang 2010-06-03 22:20:27 EDT
Thanks, I have fixed those 3 issues.

This is the latest version of SPEC and SRPM:
Spec URL: http://yyang.fedorapeople.org/maven2/maven-one-plugin.spec
SRPM URL: http://yyang.fedorapeople.org/maven2/maven-one-plugin-1.2-3.src.rpm
Comment 9 Yong Yang 2010-06-03 23:09:38 EDT
New Package CVS Request
=======================
Package Name: maven-one-plugin
Short Description: Plugin provides some integration tasks with Maven 1.x
Owners: yyang
Branches: devel
InitialCC: huwang liweinan akurtako dbhole
Comment 10 Kevin Fenzi 2010-06-07 17:27:31 EDT
cvs done, except liweinan account doesn't exist.
Comment 11 Yong Yang 2010-06-08 07:15:26 EDT
Kevin, cvs is not done after 12 hours passed, may caused by wrong CC, please create cvs again and leave CC blank, thanks.

New Package CVS Request
=======================
Package Name: maven-one-plugin
Short Description: Plugin provides some integration tasks with Maven 1.x
Owners: yyang
Branches: devel
InitialCC:

Note You need to log in before you can comment on or make changes to this bug.